// 
// Copyright (C) 2005 - George Baklarz, Paul Zikopoulos, Dan Scott
// Apache Derby - Off to the Races
//
// Use of an applet
// Note: You must have Derby running as a network server for this to work. In addition, the
// DerbyApplet.htm file must be viewed for this to run.
//
import java.lang.*;
import java.sql.*; 
import java.awt.*;
import java.applet.Applet;

public class DerbyApplet extends Applet {

  Connection conn = null;
  
  public void init() {
    try {
      String url = "jdbc:derby:net://localhost/YMLD:user=APP;password=APP;";
      Class.forName("com.ibm.db2.jcc.DB2Driver");
      conn = DriverManager.getConnection(url);
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  public void paint(Graphics g) {
    try {
      Font font = new Font("Arial",Font.PLAIN, 20);
      g.setFont(font);
      g.drawString("Your Momma Loves Drama Database",10,30);
      font = new Font("Lucida Console",Font.PLAIN, 16);
      g.setFont(font);
      g.drawString("Start Date  End Date    Title",10,60);
      g.drawString("_____________________________________________",10,64);
      Statement stmt = conn.createStatement();
      ResultSet rs = stmt.executeQuery("SELECT * FROM Productions");

      int y = 85;
      while (rs.next()) {
        String dateStart = rs.getString("Production_Start");
        String dateEnd = rs.getString("Production_End");
        String title = rs.getString("Production_Title");
        String output = dateStart + "  " + dateEnd + "  " + title;
        g.drawString(output, 10, y);
        y = y + 20;
      }
      stmt.close();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
   
}

